<?php

/**

 * Custom template tags for this theme

 *

 * Eventually, some of the functionality here could be replaced by core features.

 *

 * @package Glowify WP

 */



if ( ! function_exists( 'glowify_wp_posted_on' ) ) :

	/**

	 * Prints HTML with meta information for the current post-date/time.

	 */

	function glowify_wp_posted_on() {

		$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

		if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {

			$time_string = '<time class="entry-date published" datetime="%1$s">%2$s</time><time class="updated" datetime="%3$s">%4$s</time>';

		}



		$time_string = sprintf( $time_string,

			esc_attr( get_the_date( DATE_W3C ) ),

			esc_html( get_the_date() ),

			esc_attr( get_the_modified_date( DATE_W3C ) ),

			esc_html( get_the_modified_date() )

		);



		$posted_on = sprintf(

			/* translators: %s: post date. */

			esc_html_x( '%s', 'post date', 'glowify-wp' ),

			'<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'

		);



		echo '<span class="posted-on">' . $posted_on . '</span>'; // WPCS: XSS OK.



	}

endif;



if ( ! function_exists( 'glowify_wp_posted_by' ) ) :

	/**

	 * Prints HTML with meta information for the current author.

	 */

	function glowify_wp_posted_by() {

		$byline = sprintf(

			/* translators: %s: post author. */

			esc_html_x( '%s', 'post author', 'glowify-wp' ),

			'<span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>'

		);



		echo '<span class="byline"> ' . $byline . '</span>'; // WPCS: XSS OK.



	}

endif;



if ( ! function_exists( 'glowify_wp_entry_footer' ) ) :

	/**

	 * Prints HTML with meta information for the categories, tags and comments.

	 */

	function glowify_wp_entry_footer() {

		// Hide category and tag text for pages.

		if ( 'post' === get_post_type() ) {

			/* translators: used between list items, there is a space after the comma */

			$categories_list = get_the_category_list( esc_html__( ', ', 'glowify-wp' ) );

			if ( $categories_list ) {

				/* translators: 1: list of categories. */

				printf( '<span class="cat-links">' . esc_html__( 'Posted in %1$s', 'glowify-wp' ) . '</span>', $categories_list ); // WPCS: XSS OK.

			}



			/* translators: used between list items, there is a space after the comma */

			$tags_list = get_the_tag_list( '', esc_html_x( ', ', 'list item separator', 'glowify-wp' ) );

			if ( $tags_list ) {

				/* translators: 1: list of tags. */

				printf( '<span class="tags-links">' . esc_html__( 'Tagged %1$s', 'glowify-wp' ) . '</span>', $tags_list ); // WPCS: XSS OK.

			}

		}



		if ( ! is_single() && ! post_password_required() && ( comments_open() || get_comments_number() ) ) {

			echo '<span class="comments-link">';

			comments_popup_link(

				sprintf(

					wp_kses(

						/* translators: %s: post title */

						__( 'Leave a Comment<span class="screen-reader-text"> on %s</span>', 'glowify-wp' ),

						array(

							'span' => array(

								'class' => array(),

							),

						)

					),

					get_the_title()

				)

			);

			echo '</span>';

		}



		edit_post_link(

			sprintf(

				wp_kses(

					/* translators: %s: Name of current post. Only visible to screen readers */

					__( 'Edit <span class="screen-reader-text">%s</span>', 'glowify-wp' ),

					array(

						'span' => array(

							'class' => array(),

						),

					)

				),

				get_the_title()

			),

			'<span class="edit-link">',

			'</span>'

		);

	}

endif;





/* Precon Pagination*/
function glowify_wp_pagination($pages = '', $range = 4) {
    $showitems = ($range * 2) + 1;
    $paged = get_query_var('paged');

    if (empty($paged)) {
        $paged = 1;
    }

    if ($pages == '') {
        global $wp_query;
        $pages = $wp_query->max_num_pages;
        if (!$pages) {
            $pages = 1;
        }
    }

    if ($pages > 1) {
        echo '<ul class="pagination-list">';

        // Previous button with SVG
        if ($paged > 1) {
            echo "<li class='prev cs_pagination_arrow cs_pagination_arrow_left cs_center'>
                <a href='" . esc_url(get_pagenum_link($paged - 1)) . "' class=\"cs_accent_color\">
                    <span>
                        <svg width='11' height='20' viewBox='0 0 11 20' fill='none' xmlns='http://www.w3.org/2000/svg'>
                            <path d='M11 0.96476L11 19.0353C11 19.8904 9.96356 20.326 9.34818 19.7129L0.279353 10.6777C-0.0931162 10.3066 -0.0931163 9.69347 0.279353 9.32222L9.34818 0.286953C9.96356 -0.325993 11 0.109636 11 0.96476Z' fill='currentColor'/>
                        </svg>
                    </span>
                </a>
            </li>";
        }

        // Page numbers
        for ($i = 1; $i <= $pages; $i++) {
            if ($pages != 1 && (!($i >= $paged + $range + 1 || $i <= $paged - $range - 1) || $pages <= $showitems)) {
                if ($paged == $i) {
                    echo "<li class='active'><a href='" . esc_url(get_pagenum_link($i)) . "'>" . esc_html($i) . "</a></li>";
                } else {
                    echo "<li><a href='" . esc_url(get_pagenum_link($i)) . "'>" . esc_html($i) . "</a></li>";
                }
            }
        }

        // Next button with SVG
        if ($paged < $pages) {
            echo "<li class='cs_pagination_arrow cs_pagination_arrow_right cs_center cs_accent_color'>
                <a href='" . esc_url(get_pagenum_link($paged + 1)) . "' class=\"cs_accent_color\">
                    <span>
                        <svg width='11' height='20' viewBox='0 0 11 20' fill='none' xmlns='http://www.w3.org/2000/svg'>
                            <path d='M0 0.964762L0 19.0353C0 19.8904 1.03644 20.326 1.65182 19.7129L10.7206 10.6777C11.0931 10.3066 11.0931 9.69347 10.7206 9.32222L1.65182 0.286955C1.03644 -0.32599 0 0.109639 0 0.964762Z' fill='currentColor'/>
                        </svg>
                    </span>
                </a>
            </li>";
        }

        echo '</ul>';
    }
}





if ( ! function_exists( 'glowify_wp_post_thumbnail' ) ) :

	/**

	 * Displays an optional post thumbnail.

	 *

	 * Wraps the post thumbnail in an anchor element on index views, or a div

	 * element when on single views.

	 */

	function glowify_wp_post_thumbnail() {

		if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {

			return;

		}



		if ( is_singular() ) :

			?>



			<div class="post-thumbnail">

				<?php the_post_thumbnail(); ?>

			</div><!-- .post-thumbnail -->



		<?php else : ?>



		<a class="post-thumbnail" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1">

			<?php

			the_post_thumbnail( 'post-thumbnail', array(

				'alt' => the_title_attribute( array(

					'echo' => false,

				) ),

			) );

			?>

		</a>



		<?php

		endif; // End is_singular().

	}

endif;

